import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconSchool as IconSchoolClass } from "../../../../components/icon/icons/school.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconSchool = (props) => {
  IconSchoolClass.define();
  const JSXElement = getReactComponent("gds-icon-school");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconSchool.displayName = "IconSchool";
export {
  IconSchool
};
